#include <..\include\240.h>
#include <..\include\eslab240.h>
#include <..\include\using.h>

void main()  
{
	/* DSP TMS320F240 ʱȭ Ų. */
	InitController();

	/* Timer 1 Period Register Ѵ.	*/
	*T1PER = 1000;

	/* Compare Ͱ õɶ  ī ϱ	*/
	/* Ͽ Ѵ.										*/
	*T1CNT = 0xff00;

	/* Timer 1 Control Register  Ѵ.	*/
	*T1CON = EMULATION_FREE |					/* Timer  Emulator   ʵ Ѵ.		*/
			 CONTINUOUS_UPDOWN_COUNTING_MODE |	/* Timer 1 Continuous Up/Down Counting Mode Ѵ.	*/
			 CLOCK_PS_1 |						/* Input Clock  ָ  ʴ´.					*/
			 TCLKS_INTERNAL;					/* Input Clock Source Internal Ѵ.				*/

	/* Full Compare Action Control Register  Ѵ.	*/
	*ACTR = (ACTIVE_LOW << FCMP1_OUTPUT_PIN) |	/* PWM1/CMP1 Compare Output Active low .	*/
			(ACTIVE_HIGH << FCMP2_OUTPUT_PIN);	/* PWM2/CMP2 Compare Output Active high .	*/

	/* Dead-Band units  */
	*DBTCON = DBT1_ENABLE |	/* DBT 1 Enable Ų.			*/
			  DBT_PS_1;		/* DBT ԷŬ 1 Ų.	*/

	/* Dead-Band Period ͸ Ѵ.	*/
	SET_DBT_PERIOD(255);	/* 0xff */

	/* Full Compare Register ʱȭ Ѵ.	*/
	*CMPR1 = 500;

	/* TI PWM mode Full Compare ۽ų  COMCON[15] Ʈ */
	/* set Ű Ͱ set Ų  COMCON ͸ ϱ⸦ */
	/* õϰ ִ.														*/

	/* Compare Control Register  Ѵ.	*/
	*COMCON = FCLD_T1CNT0 |				/* T1CNT = 0϶ CMPRx ͸ Reload Ѵ.	*/
			  FACTRLD_T1CNT0 |			/* T1CNT = 0϶ ACTR ͸ Reload Ѵ.	*/
			  FCO_ENABLE |				/* Full Compare Output Enable					*/
			  (PWM_MODE << FCMP_MODE1);	/* unit 1 PWM mode Ѵ.				*/

	/* Compare Control Register  Ѵ.	*/
	*COMCON = GLOBAL_COMPARE_ENABLE |	/* ü Compare  Enable Ų.			*/
			  FCLD_T1CNT0 |				/* T1CNT = 0϶ CMPRx ͸ Reload Ѵ.	*/
			  FACTRLD_T1CNT0 |			/* T1CNT = 0϶ ACTR ͸ Reload Ѵ.	*/
			  FCO_ENABLE |				/* Full Compare Output Enable					*/
			  (PWM_MODE << FCMP_MODE1);	/* unit 1 PWM mode Ѵ.				*/

	/* Timer 1 Enable Ų. */
	TMR1_ENABLE();

	/* LED  Compare  ǥѴ.	*/
	PutLed(500);

	while(1)
	{
		asm("	nop");
	}
}