#include <..\include\240.h>
#include <..\include\eslab240.h>
#include <..\include\using.h>

void main()  
{
	unsigned int cmp = 600;
	unsigned int delay = 2000;
	unsigned int result;

	/* DSP TMS320F240 ʱȭ Ų. */
	InitController();

	/* Setting ADC Control Register 2.	*/
	*ADC_CNTL2 = ADC_PS_12;		/* 6.6us > 6.1us > 5.5us	*/

	/* Setting ADC Control Register 1.	*/
	*ADC_CNTL1 = ADC_EMU_FREE |			/* ADC Emulator   ʵ Ѵ.	*/
				 ENABLE_ADC1 |			/* ADC1 Ұ ˸.					*/
				 ADC_INT_FLAG |			/* ͷƮ ÷׸ Ŭ Ų.				*/
				 ADC1_CHANNEL_3 |		/* ADC Channel 3 Ѵ.					*/
				 ADC_CONTINUOUS_MODE |	/* ADC Continuous Conversion Mode Ѵ.	*/
				 ADC_START_CONVERSION;	/* A/D  Ѵ.						*/

	/* Timer 1 Period Register Ѵ.	*/
	*T1PER = 1000;

	/* Compare Ͱ õɶ  ī ϱ	*/
	/* Ͽ Ѵ.										*/
	*T1CNT = 0xff00;

	/* Timer 1 Control Register  Ѵ.	*/
	*T1CON = EMULATION_FREE |					/* Timer  Emulator   ʵ Ѵ.		*/
			 CONTINUOUS_UPDOWN_COUNTING_MODE |	/* Timer 1 Continuous Up/Down Counting Mode Ѵ.	*/
			 CLOCK_PS_1 |						/* Input Clock  ָ  ʴ´.					*/
			 TCLKS_INTERNAL;					/* Input Clock Source Internal Ѵ.				*/

	/* Full Compare Register ʱȭ Ѵ.	*/
	*CMPR1 = cmp;

	/* Full Compare Action Control Register  Ѵ.	*/
	*ACTR = (ACTIVE_LOW << FCMP1_OUTPUT_PIN) |	/* PWM1/CMP1 Compare Output Active low .	*/
			(FORCED_HIGH << FCMP2_OUTPUT_PIN);	/* PWM2/CMP2 Compare Output Forced HIGH .	*/

	/* TI PWM mode Full Compare ۽ų  COMCON[15] Ʈ */
	/* set Ű Ͱ set Ų  COMCON ͸ ϱ⸦ */
	/* õϰ ִ.														*/

	/* Compare Control Register  Ѵ.	*/
	*COMCON = FCLD_T1CNT0 |				/* T1CNT = 0϶ CMPRx ͸ Reload Ѵ.	*/
			  FACTRLD_T1CNT0 |			/* T1CNT = 0϶ ACTR ͸ Reload Ѵ.	*/
			  FCO_ENABLE |				/* Full Compare Output Enable					*/
			  (PWM_MODE << FCMP_MODE1);	/* unit 1 PWM mode Ѵ.				*/

	/* Compare Control Register  Ѵ.	*/
	*COMCON = GLOBAL_COMPARE_ENABLE |	/* ü Compare  Enable Ų.			*/
			  FCLD_T1CNT0 |				/* T1CNT = 0϶ CMPRx ͸ Reload Ѵ.	*/
			  FACTRLD_T1CNT0 |			/* T1CNT = 0϶ ACTR ͸ Reload Ѵ.	*/
			  FCO_ENABLE |				/* Full Compare Output Enable					*/
			  (PWM_MODE << FCMP_MODE1);	/* unit 1 PWM mode Ѵ.				*/

	/* Timer 1 Enable Ų. */
	TMR1_ENABLE();

	while(1)
	{
		/* ADC1 FIFO Ͽ Ͱ ö ٸ.	*/
		while(!GET_FIFO1_STATUS());

		/* Ͱ FIFO  о´.	*/
		result = *ADC_FIFO1;

		/* Ͱ  15° Ʈ ϵǾ Ƿ Ʒ  .	*/
		result >>= 6;

		/*   輱 */
		if(result <= 270) {
			/* Full Compare Action Control Register  Ѵ.	*/
			*ACTR = (ACTIVE_LOW << FCMP1_OUTPUT_PIN) |	/* PWM1/CMP1 Compare Output Active low .	*/
					(FORCED_LOW << FCMP2_OUTPUT_PIN);	/* PWM2/CMP2 Compare Output Forced low .	*/

		/*   輱	*/
		} else if(result >= 670) {
			/* Full Compare Action Control Register  Ѵ.	*/
			*ACTR = (ACTIVE_LOW << FCMP1_OUTPUT_PIN) |	/* PWM1/CMP1 Compare Output Active low .	*/
					(FORCED_HIGH << FCMP2_OUTPUT_PIN);	/* PWM2/CMP2 Compare Output Forced HIGH .	*/
		}

		/* LED  ġ ǥѴ.	*/
		PutLed(result);
	}
}