/****************************************************************************
 **                                                                        **
 **                    # DSP TMS320F240 Using Header File #                **
 **                                                                        **
 ** .  TMS320F240 α׷ ϱ   Լ  ݴϴ.  **
 **                                                                        **
 **                                       - E.S.Lab., National Mokpo Univ. **
 **                                           - Homepage : www.eslab.or.kr **
 **                                                                        **
 **                                              - Last Updated : 2002.5.1 **
 ****************************************************************************/


/*
/*								System Functions
*/

/*
/* Function : InitController
/* Parameters : none
/* Note : 240Ĩ ʱȭ Ų.
/*																	*/
/* . Interrupts		- all maskable interrupts are disabled.			*/
/* . WatchDog Timer	- watchdog timer disabled.						*/
/* . PLL Module		- enabled.										*/
/* . Clocks			- CLKIN	 : 20Mhz (oscillator)					*/
/*					  CPUCLK : 20Mhz								*/
/*					  SYSCLK : 10Mhz								*/
/*					  WDCLK  : 15625Hz								*/
void InitController();


/*
/*								Application Functions
*/

/*
/* Function : PutLed
/* Parameters : none
/* Note : IELAB ϴ Լ 4 LED 16 
/*        10 ȯϿ ǥִ  Ѵ.
*/
void PutLed(unsigned int Hexa);

/*
/* Function : Delay
/* Parameters : mSecs - mili seconds (decimal)
/* Note : и   Ŵ. (synchronize)
*/
void Delay(unsigned long mSecs);